View Issue Details

IDProjectCategoryView StatusLast Update
14450Bug reports[All Projects] Import/Exportpublic2019-02-08 15:11
Reporterelissa Assigned ToDenisChenu  
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14450: Top Buttons at responses and statistics didn't work (export, quick stat, …)
Description

Export responses not working

Additional:
On the responses export page the dropdown list of CSV separators is not translated. See screenshot.
Switch to Polish, go to export results and choose CSV field separator.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.7+190124
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

has duplicate 14454 closedDenisChenu VV export: Clicking export button leads to no action -> feature broken 
has duplicate 14457 closedDenisChenu Expertmode Show statistics nothing happens 
has duplicate 14464 closedDenisChenu Unable to export responses 
has duplicate 14466 closedDenisChenu No Data Export, No Statistics in Expertmode 

Activities

elissa

elissa

2019-01-25 10:45

reporter  

csv-separator-list.png (65,668 bytes)
csv-separator-list.png (65,668 bytes)
jelo

jelo

2019-01-25 15:21

partner   ~50314

Did you try to export? The export button seem to be not working since 3.15.7+190124.

elissa

elissa

2019-01-25 15:30

reporter   ~50315

Yes, indeed, the export does not work... Translation is nothing as compared to the real issue.

jelo

jelo

2019-01-25 15:36

partner   ~50316

i have changed your bugticket to reflect the export issue.
I hope you are OK with that.

lemeurCS

lemeurCS

2019-01-25 15:47

reporter   ~50317

I confirm, it was working fine yesterday morning, and was broken yesterday afternoon on our LS platform.
In the meantime, the "only" operation was updating to Version 3.15.7+190124

lemeurCS

lemeurCS

2019-01-25 16:46

reporter   ~50318

Okay, The issue is in application/views/admin/responses/browsemenubar_view.php
During commit https://github.com/LimeSurvey/LimeSurvey/commit/c3198cc0735e1b880be1698efe4c483ca833fb8f#diff-3676d55f84497cbeadfc614c1b1b62fc

Buttons ids were renamed from save-button to export-button, ... but assets/packages/adminbasics/build/adminbasics.js was not udated accordingly.

Typically, changing line 183 of browsemenubar_view.php from:
<a class="btn btn-success" href="#" role="button" id="save-button">
To:
<a class="btn btn-success" href="#" role="button" id="save-button">

Fixes this issue.

Of course, the best approach is to fix assets/packages/adminbasics/build/adminbasics.js in order to match the new button Ids from browsemenubar_view.php

blocka

blocka

2019-01-25 17:14

reporter   ~50319

I can also confirm this as an issue as of build 190124

DenisChenu

DenisChenu

2019-01-26 10:40

developer   ~50320

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28804

DenisChenu

DenisChenu

2019-01-26 10:56

developer   ~50321

Todo : check others button

DenisChenu

DenisChenu

2019-01-30 08:15

developer   ~50338

@elissa your original issue are fixed too.
https://github.com/LimeSurvey/LimeSurvey/commit/761a78fd61cdec4780fe6848a9adfc8d14aeaf73

PS : in such situation : you can report the other issue :)

duvemyster

duvemyster

2019-01-31 18:23

reporter   ~50379

Thank you @elissa , @lemeurCS , @jelo , @blocka , and @DenisChenu !

Related Changesets

LimeSurvey: master 841256b0

2019-01-26 10:40:09

DenisChenu

Details Diff
Fixed issue 14450: Export responses not working
Dev: export is OK, tested some other
Dev: usage of data-submit-form=1 for submit action
Dev: can be extended to data-submit-formid
Dev: can be extended to data-submit-value/name etc …
Affected Issues
14450
mod - application/views/admin/responses/browsemenubar_view.php Diff File
mod - assets/packages/adminbasics/build/adminbasics.debug.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/src/parts/save.js Diff File

Issue History

Date Modified Username Field Change
2019-01-25 10:45 elissa New Issue
2019-01-25 10:45 elissa File Added: csv-separator-list.png
2019-01-25 15:21 jelo Note Added: 50314
2019-01-25 15:30 elissa Note Added: 50315
2019-01-25 15:36 jelo Priority none => normal
2019-01-25 15:36 jelo Severity trivial => major
2019-01-25 15:36 jelo Reproducibility have not tried => always
2019-01-25 15:36 jelo Category Translation => Import/Export
2019-01-25 15:36 jelo Summary Export responses - CSV field separator - dropdown list is not translated => Export responses not working
2019-01-25 15:36 jelo Description Updated View Revisions
2019-01-25 15:36 jelo Steps to Reproduce Updated View Revisions
2019-01-25 15:36 jelo Note Added: 50316
2019-01-25 15:47 lemeurCS Note Added: 50317
2019-01-25 16:46 lemeurCS Note Added: 50318
2019-01-25 17:14 blocka Note Added: 50319
2019-01-26 10:32 DenisChenu Assigned To => DenisChenu
2019-01-26 10:32 DenisChenu Status new => assigned
2019-01-26 10:40 DenisChenu Changeset attached => LimeSurvey master 841256b0
2019-01-26 10:40 DenisChenu Note Added: 50320
2019-01-26 10:40 DenisChenu Resolution open => fixed
2019-01-26 10:56 DenisChenu Note Added: 50321
2019-01-26 10:58 DenisChenu Status assigned => resolved
2019-01-26 10:58 DenisChenu Fixed in Version => 3.15.x
2019-01-28 10:56 DenisChenu Relationship added has duplicate 14454
2019-01-29 07:36 DenisChenu Relationship added related to 14457
2019-01-29 07:36 DenisChenu Relationship deleted related to 14457
2019-01-29 07:36 DenisChenu Relationship added has duplicate 14457
2019-01-29 07:37 DenisChenu Summary Export responses not working => Top Buttons at responses and statistics didn't work
2019-01-30 08:06 DenisChenu Relationship added has duplicate 14464
2019-01-30 08:07 DenisChenu Summary Top Buttons at responses and statistics didn't work => Top Buttons at responses and statistics didn't work (export, quick stat, …)
2019-01-30 08:15 DenisChenu Note Added: 50338
2019-01-30 12:10 ollehar Status resolved => closed
2019-01-31 10:24 DenisChenu Relationship added has duplicate 14466
2019-01-31 18:23 duvemyster Note Added: 50379
2019-02-08 15:10 DenisChenu Relationship added has duplicate 13874
2019-02-08 15:11 DenisChenu Relationship deleted has duplicate 13874